Subject: Re: bug#76123: [PATCH] Eliminate savehist duplicated symbols

From: Ship Mints <[email-masked]>
Date: Sat, 8 Feb 2025 05:38:47 -0500

Surely. Revised patch attached with a NEWS entry.

I did not yet combine the two tests (the code is nearly duplicated) if
that's what you think should be done so if you want me to do that, I can
today.

On Sat, Feb 8, 2025 at 3:35 AM Eli Zaretskii <[email-masked]> wrote:

> > Cc: [email-masked]
> > From: Ship Mints <[email-masked]>
> > Date: Fri, 7 Feb 2025 19:04:27 -0500
> >
> > Revised patch attached with two tests to get savehist tests started. One
> is a basic functions test and the
> > other a duplicate test. They probably could be combined into one test,
> tbh, but not precisely sure what the
> > Emacs Core testing regime is for functionality.
> >
> > I tested on both Emacs 29 with the duplicate issue and with the
> duplicate avoidance patch applied.
>
> Thanks.  There's one more nit: I think this change needs to be called
> out in NEWS.  It changes user-facing behavior, so users should be
> informed about that.
>